// Copyright 2022 wanderer <a_mirre at utb dot cz>
// SPDX-License-Identifier: GPL-3.0-or-later

package xkcdreader

import (
	"fyne.io/fyne/v2/app"
	"fyne.io/fyne/v2/widget"
	"git.dotya.ml/wanderer/go-xkcdreader/cmd"
)

const appGreeting = "welcome to go-xkcdreader"

// RunApp performs sets up and runs the main application
func RunApp() {
	a := app.New()
	w := a.NewWindow(cmd.GetAppName())

	w.SetContent(makeGreeting())

	w.ShowAndRun()
}

// makeGreeting creates a greeting label
func makeGreeting() *widget.Label {
	return widget.NewLabel(appGreeting)
}
